<!doctype html>
<html class="no-js" lang="">
    <head>
        <meta charset="utf-8">
        <meta http-equiv="x-ua-compatible" content="ie=edge">
        <title>frontend documentation</title>
        <meta name="description" content="">
        <meta name="viewport" content="width=device-width, initial-scale=1">

        <link rel="icon" type="image/x-icon" href="../images/favicon.ico">
	      <link rel="stylesheet" href="../styles/style.css">
    </head>
    <body>

        <div class="navbar navbar-default navbar-fixed-top visible-xs">
            <a href="../" class="navbar-brand">frontend documentation</a>
            <button type="button" class="btn btn-default btn-menu ion-ios-menu" id="btn-menu"></button>
        </div>

        <div class="xs-menu menu" id="mobile-menu">
                <div id="book-search-input" role="search"><input type="text" placeholder="Type to search"></div>            <compodoc-menu></compodoc-menu>
        </div>

        <div class="container-fluid main">
           <div class="row main">
               <div class="hidden-xs menu">
                   <compodoc-menu mode="normal"></compodoc-menu>
               </div>
               <!-- START CONTENT -->
               <div class="content injectable">
                   <div class="content-data">







<ol class="breadcrumb">
  <li>Injectables</li>
  <li>OperationParametersModel</li>
</ol>

<ul class="nav nav-tabs" role="tablist">
        <li class="active">
            <a href="#info" role="tab" id="info-tab" data-toggle="tab" data-link="info">Info</a>
        </li>
        <li >
            <a href="#source" role="tab" id="source-tab" data-toggle="tab" data-link="source">Source</a>
        </li>
</ul>

<div class="tab-content">
    <div class="tab-pane fade active in" id="c-info">
        <p class="comment">
            <h3>File</h3>
        </p>
        <p class="comment">
            <code>src/app/operation/parameters/model/operation-parameters.model.ts</code>
        </p>

            <p class="comment">
                <h3>Description</h3>
            </p>
            <p class="comment">
                <p>Data model used to store operation&#39;s parameters elements to be shared between sibling components.</p>

            </p>


            <section>
    <h3 id="index">Index</h3>
    <table class="table table-sm table-bordered index-table">
        <tbody>
                <tr>
                    <td class="col-md-4">
                        <h6><b>Properties</b></h6>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <ul class="index-list">
                            <li>
                                <a href="#currentDocumentFiles">currentDocumentFiles</a>
                            </li>
                            <li>
                                <a href="#currentDomainInfluenceFile">currentDomainInfluenceFile</a>
                            </li>
                            <li>
                                <a href="#currentRepositoryFiles">currentRepositoryFiles</a>
                            </li>
                            <li>
                                    <span class="modifier">Private</span>
                                <a href="#documentFilesSource">documentFilesSource</a>
                            </li>
                            <li>
                                    <span class="modifier">Private</span>
                                <a href="#domainInfluenceFileSource">domainInfluenceFileSource</a>
                            </li>
                            <li>
                                <a href="#isOperationDateEditable">isOperationDateEditable</a>
                            </li>
                            <li>
                                    <span class="modifier">Private</span>
                                <a href="#operationDateEditable">operationDateEditable</a>
                            </li>
                            <li>
                                    <span class="modifier">Private</span>
                                <a href="#repositoryFilesSource">repositoryFilesSource</a>
                            </li>
                        </ul>
                    </td>
                </tr>

                <tr>
                    <td class="col-md-4">
                        <h6><b>Methods</b></h6>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <ul class="index-list">
                            <li>
                                    <span class="modifier">Public</span>
                                <a href="#setDocumentFiles">setDocumentFiles</a>
                            </li>
                            <li>
                                    <span class="modifier">Public</span>
                                <a href="#setDomainInfluenceFile">setDomainInfluenceFile</a>
                            </li>
                            <li>
                                    <span class="modifier">Public</span>
                                <a href="#setRepositoryFiles">setRepositoryFiles</a>
                            </li>
                            <li>
                                    <span class="modifier">Public</span>
                                <a href="#updateDocumentFiles">updateDocumentFiles</a>
                            </li>
                            <li>
                                    <span class="modifier">Public</span>
                                <a href="#updateDomainInfluenceFile">updateDomainInfluenceFile</a>
                            </li>
                            <li>
                                <a href="#updateOperation">updateOperation</a>
                            </li>
                            <li>
                                    <span class="modifier">Private</span>
                                <a href="#updateOperationDateEditable">updateOperationDateEditable</a>
                            </li>
                            <li>
                                    <span class="modifier">Public</span>
                                <a href="#updateRepositoryFiles">updateRepositoryFiles</a>
                            </li>
                        </ul>
                    </td>
                </tr>





                    <tr>
                        <td class="col-md-4">
                            <h6><b>Accessors</b></h6>
                        </td>
                    </tr>
                    <tr>
                        <td class="col-md-4">
                            <ul class="index-list">
                                <li>
                                    <a href="#currentOperation">currentOperation</a>
                                </li>
                                <li>
                                    <a href="#currentOperationStatus">currentOperationStatus</a>
                                </li>
                            </ul>
                        </td>
                    </tr>
        </tbody>
    </table>
</section>

            <section>
    <h3 id="constructor">Constructor</h3>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                                <span class="modifier">Public</span>
                        <code>constructor(operationManagementService: <a href="../injectables/OperationManagementService.html">OperationManagementService</a>, doiService: <a href="../injectables/DomainInfluenceService.html">DomainInfluenceService</a>, repositoryService: <a href="../injectables/RepositoryService.html">RepositoryService</a>, documentService: <a href="../injectables/DocumentService.html">DocumentService</a>)</code>
                    </td>
                </tr>
                        <tr>
                            <td class="col-md-4">
                                <div class="io-line">Defined in <a href="" data-line="27" class="link-to-prism">src/app/operation/parameters/model/operation-parameters.model.ts:27</a></div>
                            </td>
                        </tr>

                <tr>
                    <td class="col-md-4">
                            <div>
                                    <b>Parameters :</b>
                                    <table class="params">
                                        <thead>
                                            <tr>
                                                <td>Name</td>
                                                    <td>Type</td>
                                                <td>Optional</td>
                                            </tr>
                                        </thead>
                                        <tbody>
                                                <tr>
                                                        <td>operationManagementService</td>
                                                  
                                                        <td>
                                                                    <code><a href="../injectables/OperationManagementService.html" target="_self" >OperationManagementService</a></code>
                                                        </td>
                                                  
                                                    <td>
                                                            No
                                                    </td>
                                                    
                                                </tr>
                                                <tr>
                                                        <td>doiService</td>
                                                  
                                                        <td>
                                                                    <code><a href="../injectables/DomainInfluenceService.html" target="_self" >DomainInfluenceService</a></code>
                                                        </td>
                                                  
                                                    <td>
                                                            No
                                                    </td>
                                                    
                                                </tr>
                                                <tr>
                                                        <td>repositoryService</td>
                                                  
                                                        <td>
                                                                    <code><a href="../injectables/RepositoryService.html" target="_self" >RepositoryService</a></code>
                                                        </td>
                                                  
                                                    <td>
                                                            No
                                                    </td>
                                                    
                                                </tr>
                                                <tr>
                                                        <td>documentService</td>
                                                  
                                                        <td>
                                                                    <code><a href="../injectables/DocumentService.html" target="_self" >DocumentService</a></code>
                                                        </td>
                                                  
                                                    <td>
                                                            No
                                                    </td>
                                                    
                                                </tr>
                                        </tbody>
                                    </table>
                            </div>
                    </td>
                </tr>
            </tbody>
        </table>
</section>

            <section>
    
        <h3 id="methods">
            Methods
        </h3>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="setDocumentFiles"></a>
                        <span class="name">
                            <b>
                                <span class="modifier">Public</span>
                            setDocumentFiles
                            </b>
                            <a href="#setDocumentFiles"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                            <span class="modifier-icon icon ion-ios-reset"></span>
                        <code>setDocumentFiles(documentFiles: <a href="../classes/OperationFile.html">OperationFile[]</a>)</code>
                    </td>
                </tr>


                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="88" class="link-to-prism">src/app/operation/parameters/model/operation-parameters.model.ts:88</a></div>
                            </td>
                        </tr>


                <tr>
                    <td class="col-md-4">

                            <div class="io-description">
                                    <b>Parameters :</b>
                                    <table class="params">
                                        <thead>
                                            <tr>
                                                <td>Name</td>
                                                    <td>Type</td>
                                                <td>Optional</td>
                                            </tr>
                                        </thead>
                                        <tbody>
                                                <tr>
                                                        <td>documentFiles</td>
                                                        <td>
                                                                    <code><a href="../classes/OperationFile.html" target="_self" >OperationFile[]</a></code>
                                                        </td>
                                                    
                                                    <td>
                                                            No
                                                    </td>
                                                    

                                                </tr>
                                        </tbody>
                                    </table>
                            </div>
                            <div>
                            </div>
                            <div class="io-description">
                                <b>Returns : </b>    <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >void</a></code>

                            </div>
                                <div class="io-description">
                                    
                                </div>
                    </td>
                </tr>
            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="setDomainInfluenceFile"></a>
                        <span class="name">
                            <b>
                                <span class="modifier">Public</span>
                            setDomainInfluenceFile
                            </b>
                            <a href="#setDomainInfluenceFile"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                            <span class="modifier-icon icon ion-ios-reset"></span>
                        <code>setDomainInfluenceFile(domainInfluenceFile: <a href="../classes/DomainInfluenceFile.html">DomainInfluenceFile</a>)</code>
                    </td>
                </tr>


                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="69" class="link-to-prism">src/app/operation/parameters/model/operation-parameters.model.ts:69</a></div>
                            </td>
                        </tr>


                <tr>
                    <td class="col-md-4">

                            <div class="io-description">
                                    <b>Parameters :</b>
                                    <table class="params">
                                        <thead>
                                            <tr>
                                                <td>Name</td>
                                                    <td>Type</td>
                                                <td>Optional</td>
                                            </tr>
                                        </thead>
                                        <tbody>
                                                <tr>
                                                        <td>domainInfluenceFile</td>
                                                        <td>
                                                                    <code><a href="../classes/DomainInfluenceFile.html" target="_self" >DomainInfluenceFile</a></code>
                                                        </td>
                                                    
                                                    <td>
                                                            No
                                                    </td>
                                                    

                                                </tr>
                                        </tbody>
                                    </table>
                            </div>
                            <div>
                            </div>
                            <div class="io-description">
                                <b>Returns : </b>    <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >void</a></code>

                            </div>
                                <div class="io-description">
                                    
                                </div>
                    </td>
                </tr>
            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="setRepositoryFiles"></a>
                        <span class="name">
                            <b>
                                <span class="modifier">Public</span>
                            setRepositoryFiles
                            </b>
                            <a href="#setRepositoryFiles"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                            <span class="modifier-icon icon ion-ios-reset"></span>
                        <code>setRepositoryFiles(repositoryFiles: <a href="../classes/RepositoryFile.html">RepositoryFile[]</a>)</code>
                    </td>
                </tr>


                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="78" class="link-to-prism">src/app/operation/parameters/model/operation-parameters.model.ts:78</a></div>
                            </td>
                        </tr>


                <tr>
                    <td class="col-md-4">

                            <div class="io-description">
                                    <b>Parameters :</b>
                                    <table class="params">
                                        <thead>
                                            <tr>
                                                <td>Name</td>
                                                    <td>Type</td>
                                                <td>Optional</td>
                                            </tr>
                                        </thead>
                                        <tbody>
                                                <tr>
                                                        <td>repositoryFiles</td>
                                                        <td>
                                                                    <code><a href="../classes/RepositoryFile.html" target="_self" >RepositoryFile[]</a></code>
                                                        </td>
                                                    
                                                    <td>
                                                            No
                                                    </td>
                                                    

                                                </tr>
                                        </tbody>
                                    </table>
                            </div>
                            <div>
                            </div>
                            <div class="io-description">
                                <b>Returns : </b>    <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >void</a></code>

                            </div>
                                <div class="io-description">
                                    
                                </div>
                    </td>
                </tr>
            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="updateDocumentFiles"></a>
                        <span class="name">
                            <b>
                                <span class="modifier">Public</span>
                            updateDocumentFiles
                            </b>
                            <a href="#updateDocumentFiles"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                            <span class="modifier-icon icon ion-ios-reset"></span>
                        <code>updateDocumentFiles(documentFiles: <a href="../classes/OperationFile.html">OperationFile[]</a>)</code>
                    </td>
                </tr>


                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="83" class="link-to-prism">src/app/operation/parameters/model/operation-parameters.model.ts:83</a></div>
                            </td>
                        </tr>


                <tr>
                    <td class="col-md-4">

                            <div class="io-description">
                                    <b>Parameters :</b>
                                    <table class="params">
                                        <thead>
                                            <tr>
                                                <td>Name</td>
                                                    <td>Type</td>
                                                <td>Optional</td>
                                            </tr>
                                        </thead>
                                        <tbody>
                                                <tr>
                                                        <td>documentFiles</td>
                                                        <td>
                                                                    <code><a href="../classes/OperationFile.html" target="_self" >OperationFile[]</a></code>
                                                        </td>
                                                    
                                                    <td>
                                                            No
                                                    </td>
                                                    

                                                </tr>
                                        </tbody>
                                    </table>
                            </div>
                            <div>
                            </div>
                            <div class="io-description">
                                <b>Returns : </b>    <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >void</a></code>

                            </div>
                                <div class="io-description">
                                    
                                </div>
                    </td>
                </tr>
            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="updateDomainInfluenceFile"></a>
                        <span class="name">
                            <b>
                                <span class="modifier">Public</span>
                            updateDomainInfluenceFile
                            </b>
                            <a href="#updateDomainInfluenceFile"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                            <span class="modifier-icon icon ion-ios-reset"></span>
                        <code>updateDomainInfluenceFile(domainInfluenceFile: <a href="../classes/DomainInfluenceFile.html">DomainInfluenceFile</a>)</code>
                    </td>
                </tr>


                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="64" class="link-to-prism">src/app/operation/parameters/model/operation-parameters.model.ts:64</a></div>
                            </td>
                        </tr>


                <tr>
                    <td class="col-md-4">

                            <div class="io-description">
                                    <b>Parameters :</b>
                                    <table class="params">
                                        <thead>
                                            <tr>
                                                <td>Name</td>
                                                    <td>Type</td>
                                                <td>Optional</td>
                                            </tr>
                                        </thead>
                                        <tbody>
                                                <tr>
                                                        <td>domainInfluenceFile</td>
                                                        <td>
                                                                    <code><a href="../classes/DomainInfluenceFile.html" target="_self" >DomainInfluenceFile</a></code>
                                                        </td>
                                                    
                                                    <td>
                                                            No
                                                    </td>
                                                    

                                                </tr>
                                        </tbody>
                                    </table>
                            </div>
                            <div>
                            </div>
                            <div class="io-description">
                                <b>Returns : </b>    <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >void</a></code>

                            </div>
                                <div class="io-description">
                                    
                                </div>
                    </td>
                </tr>
            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="updateOperation"></a>
                        <span class="name">
                            <b>
                            updateOperation
                            </b>
                            <a href="#updateOperation"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
<code>updateOperation(operation: <a href="../classes/Operation.html">Operation</a>)</code>
                    </td>
                </tr>


                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="58" class="link-to-prism">src/app/operation/parameters/model/operation-parameters.model.ts:58</a></div>
                            </td>
                        </tr>


                <tr>
                    <td class="col-md-4">

                            <div class="io-description">
                                    <b>Parameters :</b>
                                    <table class="params">
                                        <thead>
                                            <tr>
                                                <td>Name</td>
                                                    <td>Type</td>
                                                <td>Optional</td>
                                            </tr>
                                        </thead>
                                        <tbody>
                                                <tr>
                                                        <td>operation</td>
                                                        <td>
                                                                    <code><a href="../classes/Operation.html" target="_self" >Operation</a></code>
                                                        </td>
                                                    
                                                    <td>
                                                            No
                                                    </td>
                                                    

                                                </tr>
                                        </tbody>
                                    </table>
                            </div>
                            <div>
                            </div>
                            <div class="io-description">
                                <b>Returns : </b>    <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >void</a></code>

                            </div>
                                <div class="io-description">
                                    
                                </div>
                    </td>
                </tr>
            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="updateOperationDateEditable"></a>
                        <span class="name">
                            <b>
                                <span class="modifier">Private</span>
                            updateOperationDateEditable
                            </b>
                            <a href="#updateOperationDateEditable"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                            <span class="modifier-icon icon ion-ios-reset"></span>
                        <code>updateOperationDateEditable()</code>
                    </td>
                </tr>


                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="92" class="link-to-prism">src/app/operation/parameters/model/operation-parameters.model.ts:92</a></div>
                            </td>
                        </tr>


                <tr>
                    <td class="col-md-4">

                            <div class="io-description">
                                <b>Returns : </b>    <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >void</a></code>

                            </div>
                    </td>
                </tr>
            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="updateRepositoryFiles"></a>
                        <span class="name">
                            <b>
                                <span class="modifier">Public</span>
                            updateRepositoryFiles
                            </b>
                            <a href="#updateRepositoryFiles"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                            <span class="modifier-icon icon ion-ios-reset"></span>
                        <code>updateRepositoryFiles(repositoryFiles: <a href="../classes/RepositoryFile.html">RepositoryFile[]</a>)</code>
                    </td>
                </tr>


                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="73" class="link-to-prism">src/app/operation/parameters/model/operation-parameters.model.ts:73</a></div>
                            </td>
                        </tr>


                <tr>
                    <td class="col-md-4">

                            <div class="io-description">
                                    <b>Parameters :</b>
                                    <table class="params">
                                        <thead>
                                            <tr>
                                                <td>Name</td>
                                                    <td>Type</td>
                                                <td>Optional</td>
                                            </tr>
                                        </thead>
                                        <tbody>
                                                <tr>
                                                        <td>repositoryFiles</td>
                                                        <td>
                                                                    <code><a href="../classes/RepositoryFile.html" target="_self" >RepositoryFile[]</a></code>
                                                        </td>
                                                    
                                                    <td>
                                                            No
                                                    </td>
                                                    

                                                </tr>
                                        </tbody>
                                    </table>
                            </div>
                            <div>
                            </div>
                            <div class="io-description">
                                <b>Returns : </b>    <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >void</a></code>

                            </div>
                                <div class="io-description">
                                    
                                </div>
                    </td>
                </tr>
            </tbody>
        </table>
</section>

            <section>
    
        <h3 id="inputs">
            Properties
        </h3>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="currentDocumentFiles"></a>
                        <span class="name">
                            <b>
                            currentDocumentFiles
                            </b>
                            <a href="#currentDocumentFiles"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <code>currentDocumentFiles:     <code><a href="../classes/OperationFile.html" target="_self" >Observable&lt;OperationFile[]&gt;</a></code>
</code>
                    </td>
                </tr>
                    <tr>
                        <td class="col-md-4">
                            <i>Type : </i>    <code><a href="../classes/OperationFile.html" target="_self" >Observable&lt;OperationFile[]&gt;</a></code>

                        </td>
                    </tr>
                    <tr>
                        <td class="col-md-4">
                            <i>Default value : </i><code>this.documentFilesSource.asObservable()</code>
                        </td>
                    </tr>
                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="25" class="link-to-prism">src/app/operation/parameters/model/operation-parameters.model.ts:25</a></div>
                            </td>
                        </tr>


            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="currentDomainInfluenceFile"></a>
                        <span class="name">
                            <b>
                            currentDomainInfluenceFile
                            </b>
                            <a href="#currentDomainInfluenceFile"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <code>currentDomainInfluenceFile:     <code><a href="../classes/DomainInfluenceFile.html" target="_self" >Observable&lt;DomainInfluenceFile&gt;</a></code>
</code>
                    </td>
                </tr>
                    <tr>
                        <td class="col-md-4">
                            <i>Type : </i>    <code><a href="../classes/DomainInfluenceFile.html" target="_self" >Observable&lt;DomainInfluenceFile&gt;</a></code>

                        </td>
                    </tr>
                    <tr>
                        <td class="col-md-4">
                            <i>Default value : </i><code>this.domainInfluenceFileSource.asObservable()</code>
                        </td>
                    </tr>
                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="21" class="link-to-prism">src/app/operation/parameters/model/operation-parameters.model.ts:21</a></div>
                            </td>
                        </tr>


            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="currentRepositoryFiles"></a>
                        <span class="name">
                            <b>
                            currentRepositoryFiles
                            </b>
                            <a href="#currentRepositoryFiles"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <code>currentRepositoryFiles:     <code><a href="../classes/RepositoryFile.html" target="_self" >Observable&lt;RepositoryFile[]&gt;</a></code>
</code>
                    </td>
                </tr>
                    <tr>
                        <td class="col-md-4">
                            <i>Type : </i>    <code><a href="../classes/RepositoryFile.html" target="_self" >Observable&lt;RepositoryFile[]&gt;</a></code>

                        </td>
                    </tr>
                    <tr>
                        <td class="col-md-4">
                            <i>Default value : </i><code>this.repositoryFilesSource.asObservable()</code>
                        </td>
                    </tr>
                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="23" class="link-to-prism">src/app/operation/parameters/model/operation-parameters.model.ts:23</a></div>
                            </td>
                        </tr>


            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="documentFilesSource"></a>
                        <span class="name">
                            <b>
                                <span class="modifier">Private</span>
                            documentFilesSource
                            </b>
                            <a href="#documentFilesSource"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <span class="modifier-icon icon ion-ios-reset"></span><code>documentFilesSource:     <code></code>
</code>
                    </td>
                </tr>
                    <tr>
                        <td class="col-md-4">
                            <i>Default value : </i><code>new BehaviorSubject&lt;OperationFile[]&gt;([])</code>
                        </td>
                    </tr>
                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="24" class="link-to-prism">src/app/operation/parameters/model/operation-parameters.model.ts:24</a></div>
                            </td>
                        </tr>


            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="domainInfluenceFileSource"></a>
                        <span class="name">
                            <b>
                                <span class="modifier">Private</span>
                            domainInfluenceFileSource
                            </b>
                            <a href="#domainInfluenceFileSource"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <span class="modifier-icon icon ion-ios-reset"></span><code>domainInfluenceFileSource:     <code></code>
</code>
                    </td>
                </tr>
                    <tr>
                        <td class="col-md-4">
                            <i>Default value : </i><code>new BehaviorSubject&lt;DomainInfluenceFile&gt;(new DomainInfluenceFile())</code>
                        </td>
                    </tr>
                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="20" class="link-to-prism">src/app/operation/parameters/model/operation-parameters.model.ts:20</a></div>
                            </td>
                        </tr>


            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="isOperationDateEditable"></a>
                        <span class="name">
                            <b>
                            isOperationDateEditable
                            </b>
                            <a href="#isOperationDateEditable"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <code>isOperationDateEditable:     <code>Observable&lt;boolean&gt;</code>
</code>
                    </td>
                </tr>
                    <tr>
                        <td class="col-md-4">
                            <i>Type : </i>    <code>Observable&lt;boolean&gt;</code>

                        </td>
                    </tr>
                    <tr>
                        <td class="col-md-4">
                            <i>Default value : </i><code>this.operationDateEditable.asObservable()</code>
                        </td>
                    </tr>
                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="27" class="link-to-prism">src/app/operation/parameters/model/operation-parameters.model.ts:27</a></div>
                            </td>
                        </tr>


            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="operationDateEditable"></a>
                        <span class="name">
                            <b>
                                <span class="modifier">Private</span>
                            operationDateEditable
                            </b>
                            <a href="#operationDateEditable"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <span class="modifier-icon icon ion-ios-reset"></span><code>operationDateEditable:     <code></code>
</code>
                    </td>
                </tr>
                    <tr>
                        <td class="col-md-4">
                            <i>Default value : </i><code>new BehaviorSubject&lt;boolean&gt;(true)</code>
                        </td>
                    </tr>
                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="26" class="link-to-prism">src/app/operation/parameters/model/operation-parameters.model.ts:26</a></div>
                            </td>
                        </tr>


            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="repositoryFilesSource"></a>
                        <span class="name">
                            <b>
                                <span class="modifier">Private</span>
                            repositoryFilesSource
                            </b>
                            <a href="#repositoryFilesSource"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <span class="modifier-icon icon ion-ios-reset"></span><code>repositoryFilesSource:     <code></code>
</code>
                    </td>
                </tr>
                    <tr>
                        <td class="col-md-4">
                            <i>Default value : </i><code>new BehaviorSubject&lt;RepositoryFile[]&gt;([])</code>
                        </td>
                    </tr>
                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="22" class="link-to-prism">src/app/operation/parameters/model/operation-parameters.model.ts:22</a></div>
                            </td>
                        </tr>


            </tbody>
        </table>
</section>

            <section>
    <h3 id="accessors">
        Accessors
    </h3>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="currentOperation"></a>
                        <span class="name"><b>currentOperation</b><a href="#currentOperation"><span class="icon ion-ios-link"></span></a></span>
                    </td>
                </tr>

                <tr>
                    <td class="col-md-4">
                        <span class="accessor"><b>get</b><code>currentOperation()</code></span>
                    </td>
                </tr>
                            <tr>
                                <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="49" class="link-to-prism">src/app/operation/parameters/model/operation-parameters.model.ts:49</a></div>
                                </td>
                            </tr>

            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="currentOperationStatus"></a>
                        <span class="name"><b>currentOperationStatus</b><a href="#currentOperationStatus"><span class="icon ion-ios-link"></span></a></span>
                    </td>
                </tr>

                <tr>
                    <td class="col-md-4">
                        <span class="accessor"><b>get</b><code>currentOperationStatus()</code></span>
                    </td>
                </tr>
                            <tr>
                                <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="53" class="link-to-prism">src/app/operation/parameters/model/operation-parameters.model.ts:53</a></div>
                                </td>
                            </tr>

            </tbody>
        </table>
</section>
    </div>


    <div class="tab-pane fade  tab-source-code" id="c-source">
        <pre class="line-numbers compodoc-sourcecode"><code class="language-typescript">import { Injectable } from &quot;@angular/core&quot;;
import { BehaviorSubject } from &#x27;rxjs/BehaviorSubject&#x27;;
import { Operation } from &#x27;../../model/operation&#x27;;
import { OperationFile } from &#x27;../../../core/model/operation-file&#x27;;
import { DomainInfluenceFile } from &#x27;../domain-influence/model/domain-influence-file&#x27;;
import { RepositoryFile } from &#x27;../repository/model/repository-file&#x27;;
import { Observable } from &#x27;rxjs/Observable&#x27;;
import { OperationManagementService } from &#x27;../../service/operation-managment.service&#x27;;
import { DomainInfluenceService } from &quot;app/operation/parameters/domain-influence/services/domain-influence.service&quot;;
import { RepositoryService } from &#x27;../repository/service/repository.service&#x27;;
import { DocumentService } from &#x27;../document/service/document.service&#x27;;


/**
 * Data model used to store operation&#x27;s parameters elements to be shared between sibling components.
 */
@Injectable()
export class OperationParametersModel {

  private domainInfluenceFileSource &#x3D; new BehaviorSubject&lt;DomainInfluenceFile&gt;(new DomainInfluenceFile());
  currentDomainInfluenceFile: Observable&lt;DomainInfluenceFile&gt; &#x3D; this.domainInfluenceFileSource.asObservable();
  private repositoryFilesSource &#x3D; new BehaviorSubject&lt;RepositoryFile[]&gt;([]);
  currentRepositoryFiles: Observable&lt;RepositoryFile[]&gt; &#x3D; this.repositoryFilesSource.asObservable();
  private documentFilesSource &#x3D; new BehaviorSubject&lt;OperationFile[]&gt;([]);
  currentDocumentFiles: Observable&lt;OperationFile[]&gt; &#x3D; this.documentFilesSource.asObservable();
  private operationDateEditable &#x3D; new BehaviorSubject&lt;boolean&gt;(true);
  isOperationDateEditable: Observable&lt;boolean&gt; &#x3D; this.operationDateEditable.asObservable();

  public constructor(private operationManagementService: OperationManagementService,
                     private doiService: DomainInfluenceService,
                     private repositoryService: RepositoryService,
                     private documentService: DocumentService,) {
    this.operationManagementService.operation.subscribe((operation) &#x3D;&gt; {
      if (operation) {
        this.doiService.getFile(operation.id).subscribe(
          file &#x3D;&gt; this.setDomainInfluenceFile(file)
        );
        this.repositoryService.list(operation.id).subscribe(
          files &#x3D;&gt; this.setRepositoryFiles(files)
        );
        this.documentService.list(operation.id).subscribe(
          files &#x3D;&gt; this.setDocumentFiles(files)
        );
        this.updateOperationDateEditable();
      }
    });
  }

  get currentOperation() {
    return this.operationManagementService.operation.asObservable();
  }

  get currentOperationStatus() {
    return this.operationManagementService.status.asObservable();
  }


  updateOperation(operation: Operation) {
    this.operationManagementService.updateOperation(operation);
    this.updateOperationDateEditable();
  }


  public updateDomainInfluenceFile(domainInfluenceFile: DomainInfluenceFile) {
    this.domainInfluenceFileSource.next(domainInfluenceFile);
    this.operationManagementService.shouldUpdateStatus();
  }

  public setDomainInfluenceFile(domainInfluenceFile: DomainInfluenceFile) {
    this.domainInfluenceFileSource.next(domainInfluenceFile);
  }

  public updateRepositoryFiles(repositoryFiles: RepositoryFile[]) {
    this.setRepositoryFiles(repositoryFiles);
    this.operationManagementService.shouldUpdateStatus();
  }

  public setRepositoryFiles(repositoryFiles: RepositoryFile[]) {
    this.repositoryFilesSource.next(repositoryFiles);
    this.updateOperationDateEditable();
  }

  public updateDocumentFiles(documentFiles: OperationFile[]) {
    this.setDocumentFiles(documentFiles);
    this.operationManagementService.shouldUpdateStatus();
  }

  public setDocumentFiles(documentFiles: OperationFile[]) {
    this.documentFilesSource.next(documentFiles);
  }

  private updateOperationDateEditable(): void {
    let operation &#x3D; this.operationManagementService.operation.getValue();
    if (operation) {
      this.operationDateEditable.next(
        (!operation.milestones || operation.milestones.length &#x3D;&#x3D; 0) &amp;&amp;
        (!this.repositoryFilesSource.getValue() || this.repositoryFilesSource.getValue().length &#x3D;&#x3D; 0)
      );
    }
  }
}
</code></pre>
    </div>

</div>











                   </div><div class="search-results">
    <div class="has-results">
        <h1 class="search-results-title"><span class='search-results-count'></span> result-matching "<span class='search-query'></span>"</h1>
        <ul class="search-results-list"></ul>
    </div>
    <div class="no-results">
        <h1 class="search-results-title">No results matching "<span class='search-query'></span>"</h1>
    </div>
</div>
</div>
               <!-- END CONTENT -->
           </div>
       </div>

       <script>
            var COMPODOC_CURRENT_PAGE_DEPTH = 1;
            var COMPODOC_CURRENT_PAGE_CONTEXT = 'injectable';
            var COMPODOC_CURRENT_PAGE_URL = 'OperationParametersModel.html';
       </script>

       <script src="../js/libs/custom-elements.min.js"></script>
       <script src="../js/libs/lit-html.js"></script>
       <!-- Required to polyfill modern browsers as code is ES5 for IE... -->
       <script src="../js/libs/custom-elements-es5-adapter.js" charset="utf-8" defer></script>
       <script src="../js/menu-wc.js" defer></script>

       <script src="../js/libs/bootstrap-native.js"></script>

       <script src="../js/libs/es6-shim.min.js"></script>
       <script src="../js/libs/EventDispatcher.js"></script>
       <script src="../js/libs/promise.min.js"></script>
       <script src="../js/libs/zepto.min.js"></script>

       <script src="../js/compodoc.js"></script>

       <script src="../js/tabs.js"></script>
       <script src="../js/menu.js"></script>
       <script src="../js/libs/clipboard.min.js"></script>
       <script src="../js/libs/prism.js"></script>
       <script src="../js/sourceCode.js"></script>
          <script src="../js/search/search.js"></script>
          <script src="../js/search/lunr.min.js"></script>
          <script src="../js/search/search-lunr.js"></script>
          <script src="../js/search/search_index.js"></script>
       <script src="../js/lazy-load-graphs.js"></script>


    </body>
</html>
